experimental/iterator File Reference

Go to the source code of this file.

## Classes

class | std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >

## Namespaces

| std

## Macros

#define | __cpp_lib_experimental_ostream_joiner
#define | _GLIBCXX_EXPERIMENTAL_ITERATOR

## Functions

template<typename _CharT , typename _Traits , typename _DelimT >
ostream_joiner< decay_t< _DelimT >, _CharT, _Traits > | std::experimental::fundamentals_v2::make_ostream_joiner (basic_ostream< _CharT, _Traits > &__os, _DelimT &&__delimiter)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/iterator.

## Function Documentation

## make_ostream_joiner()

template<typename _CharT , typename _Traits , typename _DelimT >

ostream_joiner<decay_t<_DelimT>, _CharT, _Traits> std::experimental::fundamentals_v2::make_ostream_joiner | ( | basic_ostream< _CharT, _Traits > & | __os,
|  | _DelimT && | __delimiter
| ) |  |

inline

Object generator for ostream_joiner.

Definition at line 105 of file experimental/iterator.